Skip to content

Structure "Collection location in requests"

This structure describes the collection location and is a part of the request body in the methods creating a freight offer, editing a freight offer, creating a vehicle offer, editing a vehicle offer.

Field description

Name Description Data type Required
townId Town id from the Directory. Number
townName Town name. If the townId field is not specified, the town is looked up by townName — a town name or a postcode. If no town is found, townId stays 0 and townName is passed as is: the town is specified arbitrarily. String
areaId District id from the Directory. Number
regionId Country part id from the Directory. Number
countrySign Country id in the format ISO 3166-1 alpha-2, from the Directory. String
address Arbitrary (clarifying) address. String
lat Latitude. Number
lon Longitude. Number
postalCodes Town postcodes. Array of strings
postalZones Town postal zones. Array of strings
radiusMeters Radius around the point, in meters. Number

Sample

JSON
{
    "address": "в самом центре города",
    "areaId": 19,
    "countrySign": "UA",
    "lat": 50.25,
    "lon": 28.60,
    "regionId": 0,
    "townId": 158,
    "townName": ""
}